### Method

# GLib Queue pop_nth

since: 2.4

#### Declaration

    gpointer
    g_queue_pop_nth (
      GQueue* queue,
      guint n
    )

#### Description

Removes the `n`‘th element of `queue` and returns its data.

Available since: 2.4

#### Parameters

`n`

  Type: `guint`

  The position of the element.

#### Return value

Type: `gpointer`

The element’s data, or `NULL` if `n` is off the end of `queue`.

The returned data is owned by the instance.
The return value can be `NULL`.